Rhonda's Blog                    
 
Mainpage Disclaimer

Fri, 25 Jul 2008

Blosxom 2.1

Sometimes things like these happen. Noone really did expect it, but it did: blosxom Version 2.1 got released by the new Upstream Team. It does incorporate all previous Debian patches which I'm quite happy about, and contains other long standing and needed fixes and changes.

Though, there is also a tiny drawback in that, especially for the Debian package: some of the changes might not be totally approved by all the users of the Debian package. This is unfortunate, but it had to be done to get the package finally yet in a cleaner state (maybe you remember the cleanup run when I originally took over the package). Please be sure to read the NEWS.Debian entry (apt-listchanges might help here) about the most important changes, one of them might even mean that upgrades to this package will flood planets. This is extremely unfortunate but for getting things clean unavoidable:

blosxom (2.1.0-1) unstable; urgency=low

  * This update is a major switch, all local patches have been incorporated
    into upstream version again. Furthermore, html and rss flavours are now
    included in the blosxom script directly and the old 1993 and index
    flavours are not included anymore, to get rid of some further historical
    annoyances with the packaging.

  * MOST IMPORTANTLY: This update adds a new tag into rss feeds:
    <guid isPermanentLink="true"> which helps to notice duplicates and not let
    them appear again on planets. Though, for the time of switching it might
    mean that your last entries might appear as new when planet doesn't check
    <link> (which already should be cached) when finding <guid>. This is
    unfortunate but not really avoidable. To limit impact a new plugin was
    added: 00RssLimit which turns the syndicated feed in only pick up the last
    5 entries.

  * The plugin timezone got disabled and gets only installed into a new
    /etc/blosxom/plugins-available directory which is the first step to the
    planned blosxom-plugins package. If you found it useful and made use of it
    just symlink it from the plugins directory.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 25 Jul 2008 16:19:49 +0200

Technically it means you might want to tweak the included 00RssLimit plugin to even just 1 until you blogged some more and raise it with time if your blog runs through some planet. If you do the upgrade, did set 00RssLimit to 1 and do not reappear with your last entry on your planet sites feel free to switch it back.

Again, this is an unfortunate situation, and it's not really related to the Debian package only–the addition of the <guid> tag happened upstream and will affect all users of blosxom. It's just that I added the selfwritten 00RssLimit plugin to reduce the impact for the Debian users. Hope you don't mind. ;)

Ah yes, and if you might ask where the package is: I did put it into my website for now so people have some time to stumble upon this blog entry before they install the package from unstable without prior notice and maybe not even using apt-listchanges. I will upload the package within the next day.

/debian | permanent link | Comments: 0

Trackbacks are closed for this story.

Comments are closed for this story.


 
Feeds
If you want to syndicate this blog, feel free to do so.
This list contains the feeds that I follow:

 
Calendar
December
Sun Mon Tue Wed Thu Fri Sat
         
13 14 15 16
17 18 19 20 21 22 23
24 25 26 27 28 29 30
31            

2017
Months
Dec

 
About
©opyright 1999++ by Rhonda
[rss feed]

[html by vim] [graphics by gimp]

[generated by wml]

[powered by blosxom]